Package com.independentsoft.office.word.customMarkup

# Class CustomXmlCell

java.lang.Object
com.independentsoft.office.word.customMarkup.CustomXmlCell

All Implemented Interfaces:
  `IContentElement`, `ICellContent`

public class CustomXmlCell extends Object implements ICellContent
The Class CustomXmlCell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomXmlCell()`
  Instantiates a new custom xml cell.
  `CustomXmlCell​(InternalXMLStreamReader reader)`
  Instantiates a new custom xml cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(CustomXmlCell customXmlCell)`
  Adds the.
  `void`
  `add​(StructuredDocumentTagCell structuredDocumentTagCell)`
  Adds the.
  `void`
  `add​(Cell cell)`
  Adds the.
  `void`
  `add​(ICellContent cellContent)`
  Adds the.
  `CustomXmlCell`
  `clone()`
  `List<ICellContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getName()`
  Gets the name.
  `String`
  `getNamespace()`
  Gets the namespace.
  `CustomXmlProperties`
  `getProperties()`
  Gets the properties.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNamespace​(String namespace)`
  Sets the namespace.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomXmlCell

    public CustomXmlCell()
    Instantiates a new custom xml cell.

  - ### CustomXmlCell

    public CustomXmlCell​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new custom xml cell.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(Cell cell)
    Adds the.
    Parameters:
      `cell` - the cell

  - ### add

    public void add​(CustomXmlCell customXmlCell)
    Adds the.
    Parameters:
      `customXmlCell` - the custom xml cell

  - ### add

    public void add​(StructuredDocumentTagCell structuredDocumentTagCell)
    Adds the.
    Parameters:
      `structuredDocumentTagCell` - the structured document tag cell

  - ### add

    public void add​(ICellContent cellContent)
    Adds the.
    Parameters:
      `cellContent` - the cell content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public CustomXmlCell clone()
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getNamespace

    public String getNamespace()
    Gets the namespace.
    Returns:
      the namespace

  - ### setNamespace

    public void setNamespace​(String namespace)
    Sets the namespace.
    Parameters:
      `namespace` - the new namespace

  - ### getContent

    public List<ICellContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getProperties

    public CustomXmlProperties getProperties()
    Gets the properties.
    Returns:
      the properties